 
![Fatdog64 logo](img/fatdog64-header.png)


# How to listen to music using Bluetooth speakers or headphones

  

------------------------------------------------------------------------

## **Overview**

There are three methods to listen to music using Bluetooth speakers or headphones. But before you begin, you need to ensure that your Bluetooth connection works; and your devices (speakers/headphones) can be paired with your computer. The easiest method to do this, is by using the Simple Bluetooth Manager which you can find under the Control Panel (for Fatdog 812 and up). For older Fatdogs, you will have to use command line methods as explained [here](bluetooth.md).  
Once that's settled, you're ready to go.  
The three methods are:  

1.  Direct connection to the Bluetooth speakers.
2.  Connect to the Bluetooth speakers using **bmixd** ("bluealsa dmix daemon").
3.  Connect to the Bluetooth speakers using **aloopd** ("ALSA Loop Sound Daemon")

All methods use of the "Fatdog Default Sound Card" applet (a configuration program found in the Control Panel); and some require additional steps.  

## 1. Direct Connection

This is the oldest, and the simplest method to set up, but it comes with certain restrictions. For one, only one audio application can deliver audio to the Bluetooth device. If another audio application tries to send audio, it will fail (at best, no sound is heard, at worst, the application will crash or it will refuse to start).  
Follow these steps:  

1.  Make sure that your Bluetooth device has already been *paired*.
2.  Launch the "Fatdog64 Set Default Sound Card" applet found in Control Panel's "Sound" tab.
3.  In the device selection screen, choose "Bluetooth Devices".
4.  You will see another selection screen that shows the Bluetooth devices that you have previously paired. Choose one which is *already* paired.
5.  Choose optional audio features (plugins) as needed, then click "OK".
6.  The program will attempt to connect to your device, and if successful, you will hear sound from your speakers. You may want to use the "Fatdog Speaker Test" applet found in Control Panel's "Sound" tab to confirm that sound ouput works.

That's all. If you didn't see "Bluetooth devices" in the selection screen, it means the Bluetooth service is not running. You need to start it first. If you cannot start it, something is wrong and you will need to troubleshoot the service first. Some possible problems and fixes are discussed [here](bluetooth.md).  
To switch sound to another Bluetooth device in future, and/or to switch back to the computer's internal soundcard, you will need to stop all audio applications, then run the "Fatdog Default Sound Card" applet again. Don't forget to "disconnect" your Bluetooth speaker too using the Simple Bluetooth Manager or any other tool of your choice.  
You will need to re-connect your Bluetooth device after each reboot.  

## 2. Connect using bmixd

The second method is to use bmixd, a background process that runs continuously to support plug-and-play of the devices. This method is more flexible than a direct connection because multiple applications can share the speakers; their audio outputs will be mixed together. You can also disconnect a device and re-connect sound to a different device, without re-starting all the audio applications.  
Follow these steps:  

1.  Make sure that your Bluetooth device has already been *paired*.
2.  Launch the "Fatdog64 Set Default Sound Card" applet found in Control Panel's "Sound" tab.
3.  In the device selection screen, choose "Bluetooth audio using blue-alsa bmixd".
4.  Choose optional audio features (plugins) as needed, then click "OK".
5.  You will be reminded to start the *bmixd* service. You can do so either manually from terminal by typing "service bmixd start", or with the "Manage Servers and Services" applet found in Control Panel's "System" tab.
6.  Lastly, *connect* your Bluetooth device.

That's all. To switch devices in future, you will need to disconnect the current device, and re-connect to another one. You won't need to stop all audio applications and restart them again; except if you want to use the computer's internal audio again.  
You will need to *re-connect* your speaker again after each reboot, and re-start the bmixd service (unless you set it to auto-start).  

## 3. Connect using aloopd

This method is only available from Fatdog 812 and up.  
In addition to the features you get from bmixd, if you use this method, you will be able to switch the audio to any device without restarting the audio applications, either Bluetooth or internal computer device or a remote computer using network audio.  
Follow these steps:  

1.  Make sure that your Bluetooth device has already been *paired*.
2.  Launch the "Fatdog64 Set Default Sound Card" applet found in Control Panel's "Sound" tab.
3.  In the device selection screen, choose "ALSA Loop sound server (aloopd)".
4.  Choose optional audio features (plugins) as needed, then click "OK".
5.  You will be prompted to launch **aloopdcfg**, the "Configure ALSA Loop" applet, to set the output. device. Choose "Yes".
6.  In the selection screen, choose "Computer \>--\> Local Speaker" then choose the Bluetooth output device you want to connect to.

That's all. To change the output device in future, you will need to launch the "Configure ALSA Loop" applet again, which you can do from the Control Panel "Sound" tab.  
You will need to *re-connect* your speaker again after each reboot, and re-start the aloopd service (unless you set it to auto-start).  
Aloopd can do more than just connect bluetooth speakers. You can use aloopd to output to multiple devices (e.g. to your bluetooth and to your internal soundcard), use it to record what you hear, and other things, which is beyond the scope of this FAQ entry.  


----

[Fatdog64](home.md)
| [FAQ index](faq.md)
| [FAQ files](faq_file_list.md)
| [Fatdog64 online](https://distro.ibiblio.org/fatdog/web)
| [FAQ online](https://distro.ibiblio.org/fatdog/web/faqs/faq.html)

----

_This page was automatically converted from [bluetooth-audio.html](https://distro.ibiblio.org/fatdog/web/faqs/bluetooth-audio.html) on 2025-01-09._
