 
![Fatdog64 logo](img/fatdog64-header.png)


# How to temporarily boot with a different kernel

If you want to permanently replace the kernel please see [here](kernel.md).  
First go [here](http://distro.ibiblio.org/fatdog/kernels/) and download vmlinuz-x.x.x and kernel-modules.sfs-x.x.x, where x.x.x is the kernel version that you want. Vmlinuz is the actual kernel and kernel-modules.sfs contains the kernel modules (drivers) that are built to work with it. Keep the names, you don't have to rename it (although you can if you want to).  
Then, in in your bootloader (say grub), add an entry that point to that new kernel.  
Also, as part of your boot parameters, specify [**extrasfs** parameter](boot-options.md) that points out to the downloaded kernel modules.  
Example (for grub2, please modify it to suit your own bootloader if you use something else):  


``` 
menuentry "Fatdog64 5.4.60" {
    linux /vmlinuz-5.4.60 rootfstype=ramfs extrasfs=ram:device:sda5:/kernel-modules.sfs-5.4.60
    initrd /initrd
}
```


Then boot. It's that simple. If you only want to do this one time, you can enter into grub during booting stage, and edit the grub lines yourself. Nothing is changed, and on next boot you will get back to your usual kernel.  


----

[Fatdog64](home.md)
| [FAQ index](faq.md)
| [FAQ files](faq_file_list.md)
| [Fatdog64 online](https://distro.ibiblio.org/fatdog/web)
| [FAQ online](https://distro.ibiblio.org/fatdog/web/faqs/faq.html)

----

_This page was automatically converted from [temp-boot-kernel.html](https://distro.ibiblio.org/fatdog/web/faqs/temp-boot-kernel.html) on 2025-01-09._
