 
![Fatdog64 logo](img/fatdog64-header.png)


# Touchpad problems?

To change the behavior of the Synaptics / Alps touch pad, use Control Panel - Display (or "Desktop" on older Fatdogs) - Adjust Touch Pad. If Adjust Touch Pad errors when you launch it, your touch pad is probably not supported yet, see synaptics below.

*By default "tap-to-click" is disabled* as some touchpads are overly sensitive, making the system impossible to use if it is left on. To turn it back on:

1.  Open *Adjust Touchpad* control from within *Control Panel* (under Display tab ("Desktop" tab on older Fatdogs))
2.  Check the checkbox next to "Enable tap-to-click".
3.  Then click apply.

**Vertical scrolling** is by default enabled, using "two finger" method (touch the touchpad with one finger, then use another finger to touch and move on the touchpad). This of course requires multi-touch touchpad; and if you don't have one you need to use another method for scrolling. To change it, open *Adjust Touchpad as above*, and then look at the dropdown list for "Scroll Method" and choose another one which is suitable. Don't forget to click apply.  

------------------------------------------------------------------------

  

Control Panel - Display (or "Desktop" on older Fatdogs) - Adjust Touch Pad doesn't offer the option you want to adjust, you can do it manually by copying **50-touchpad-gui.conf** to **/etc/X11/xorg.conf.d/60-touchpad-override.conf**. Renaming it with numbers starting with "**60**" means that whatever setting you specify here will override the settings you set with the "Adjust Touchpad" settings, so *beware*.  
Initially this file (after the copy) will contain the following settings:

``` box
#DO NOT EDIT! Used by touchpad settings app.
 Section "InputClass"
 Identifier "libinput"
 Driver "libinput"
 MatchDevicePath "/dev/input/event*"
     Option "AccelSpeed" "0.00"
     Option "DisableWhileTyping" "false"
     Option "HorizontalScrolling" "false"
     Option "LeftHanded" "false"
     Option "MiddleEmulation" "false"
     Option "NaturalScrolling" "false"
     Option "ScrollMethod" "twofinger"
     Option "Tapping" "false"
     Option "ClickMethod" "buttonareas"
EndSection
```

First order of business is to change the identifier from "libinput" to "libinput-override". You can remove the comment on the first line too since we're editing a copy (not the original file) so that warning is not applicable.  
Then you can change any other properties and settings. After editing, save the file, and *you must restart the X server* for changes to take effect.

Here's a couple popular options to adjust :

- *Option "Tapping" "false"*  This option sets the tap-to-click behavior. Setting this to "false" disables tap-to-click behaviour (which is the default). If you want tap-to-click, change this to "true" to start with and adjust as needed.  

- *Option "AccelSpeed" "0.00"* This option sets how fast the mouse moves as you drag your finger across the pad. A smaller number is slower, a bigger number is faster. Ranges from -1 to 1.

If you need more configuration options, take a look at the man page for [xf86-input-libinput](libinput.4.md).  


## Synaptics Driver 

If libinput doesn't support your touchpad, use the Gslapt package manager to install **xf86-input-synaptics** and flSynclient then restart X. Synaptics  is an older driver for touchpad and may not work properly for newer devices; however if your hardware is old it may support it better than libinput (or not - you just have to try). It also has a lot more options. Use flSynclient to control its settings. If you don't like it, you can always uninstall it and Xorg will automatically revert to using libinput.  


Synaptics can also be configured using a configuration file like above. You can find the details for synaptics driver [here](synaptics.4.md).  


## Mtrack Driver 

If libinput or synaptics doesn't support your touchpad properly, use the Gslapt package manager to install **xf86-input-mtrack** and then restart X. Mtrack is an alternative driver that uses Linux kernel multitouch driver directly. Some touchpad works better with mtrack than libinput, some worse. Just like synaptic, you will just have to try to see if it works. There are reports that it works better for multitouch gestures (two- and three-finger gestures), but of course YMMV. If you don't like it, you can always uninstall it and Xorg will automatically revert to using libinput.

Mtrack has a lot of options, but it does not have a GUI configuration to change these. You have to manually do it. To do so, copy the file **/usr/share/X11/xorg.conf.d/55-mtrack.conf** to **/etc/X11/xorg.conf.d/55-mtrack.conf** and then edit this copy. All the available options as listed (as comments) inside that file. Remember you need to restart X in order for the change to take effect. Alternatively, you can make the changes using the **xinput** program, but these changes will only last until you reboot the system.

**Note 1:** if you uninstall mtrack, remember to delete the copy of the configuration file **/etc/X11/xorg.conf.d/55-mtrack.conf** or otherwise your touchpad will stop working altogether as Xorg tries to use a non-existent driver for your touchpad.

**Note 2:** If you install both mtrack and synaptics driver, the synaptics driver will take precedence and be used instead of mtrack. So if you want to try mtrack and have previously installed synaptics, remember to uninstall synaptics first.

You can find the details about for the mtrack  driver [here](mtrack.md).

## Other driver

Yet another driver is xf86-input-mtev but this is a very old driver that was originally meant for multi-touch touchscreen, not touchpad. It may or may not work for you. In fact, most probably it won't. So don't try it unless you are absolutely desperate. Try all other options first. That being said, in order to use it, install it from Gslapt, then create a file called **/etc/X11/xorg.conf.d/60-mtev.conf** which contains the following:

``` box
Section "InputClass"
    MatchIsTouchpad "true"
    Identifier "Multitouch Touchpad"
    Driver "mtrack"
EndSection
```

As usual, if you decide to uninstall it, don't forget to remove the configuration file.


----

[Fatdog64](home.md)
| [FAQ index](faq.md)
| [FAQ files](faq_file_list.md)
| [Fatdog64 online](https://distro.ibiblio.org/fatdog/web)
| [FAQ online](https://distro.ibiblio.org/fatdog/web/faqs/faq.html)

----

_This page was automatically converted from [touchpad.html](https://distro.ibiblio.org/fatdog/web/faqs/touchpad.html) on 2025-01-09._
